## ros-noetic-hri-rviz 0.3.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(hri_rviz)

add_compile_options(-std=c++11)

find_package(catkin REQUIRED COMPONENTS
  roscpp
  rviz
  hri_msgs
  hri
  sensor_msgs
  cv_bridge
)

find_package(OpenCV REQUIRED)
catkin_package()

include_directories(
    SYSTEM
    ${catkin_INCLUDE_DIRS})

link_directories(${catkin_LIBRARY_DIRS})

## This setting causes Qt's "MOC" generation to happen automatically.
set(CMAKE_AUTOMOC ON)


## This plugin includes Qt widgets, so we must include Qt.
## We'll use the version that rviz used so they are compatible.
if(rviz_QT_VERSION VERSION_LESS "5")
  message(STATUS "Using Qt4 based on the rviz_QT_VERSION: ${rviz_QT_VERSION}")
  find_package(Qt4 ${rviz_QT_VERSION} EXACT REQUIRED QtCore QtGui)
  ## pull in all required include dirs, define QT_LIBRARIES, etc.
  include(${QT_USE_FILE})
else()
  message(STATUS "Using Qt5 based on the rviz_QT_VERSION: ${rviz_QT_VERSION}")
  find_package(Qt5 ${rviz_QT_VERSION} REQUIRED Core Widgets)
  ## make target_link_libraries(${QT_LIBRARIES}) pull in all required dependencies
  set(QT_LIBRARIES Qt5::Widgets)
endif()



## I prefer the Qt signals and slots to avoid defining "emit", "slots",
## etc because they can conflict with boost signals, so define QT_NO_KEYWORDS here.
add_definitions(-DQT_NO_KEYWORDS)

## Here we specify the list of source files.
## The generated MOC files are included automatically as headers.
set(SRC_FILES
  src/hri_humans.cpp
  src/hri_skeletons.cpp
  src/hri_tf.cpp
)

## An rviz plugin is just a shared library, so here we declare the
## library to be called ``${PROJECT_NAME}`` (which is
## "rviz_plugin_tutorials", or whatever your version of this project
## is called) and specify the list of source files we collected above
## in ``${SRC_FILES}``.
add_library(${PROJECT_NAME} ${SRC_FILES})

## Link the myviz executable with whatever Qt libraries have been defined by
## the ``find_package(Qt4 ...)`` line above, or by the
## ``set(QT_LIBRARIES Qt5::Widgets)``, and with whatever libraries
## catkin has included.
##
## Although this puts "rviz_plugin_tutorials" (or whatever you have
## called the project) as the name of the library, cmake knows it is a
## library and names the actual file something like
## "librviz_plugin_tutorials.so", or whatever is appropriate for your
## particular OS.
target_link_libraries(${PROJECT_NAME} ${QT_LIBRARIES} ${catkin_LIBRARIES})


install(TARGETS
  ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(FILES
  plugin_description.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

#install(DIRECTORY media/
#  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/media)

install(DIRECTORY icons/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/icons)

=== debian/changelog ===
ros-noetic-hri-rviz (0.3.1-1buster) buster; urgency=high

  * set license to BSD
  * Contributors: Séverin Lemaignan

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Mon, 11 Jul 2022 22:00:00 -0000

ros-noetic-hri-rviz (0.3.0-1buster) buster; urgency=high

  * Added PAL Robotics copyright
  * Refactored skeleton frames testing
    The new version takes a frame name, verifies if it has more than
    the minimum number of characters for a skeleton frame, checks
    if the name without the last 5 characters belongs to the skeleton
    ROS4HRI naming convention and if it belongs to a currently tracked
    body.
  * bodies -> skeletons
    Bodies frames are now referenced as skeleton frame, for clarity.
  * Redefined class name for the plugin
    To avoid confusion with the already existing TF plugin, the
    plugin will now be visualized as TF (HRI) in rviz
  * First complete hri_tf version
  * Fixed skeletons appearing when plugin was disabled
  * Contributors: Séverin Lemaignan, lorenzoferrini

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Mon, 11 Jul 2022 22:00:00 -0000

ros-noetic-hri-rviz (0.2.0-1buster) buster; urgency=high

  * Facial landmarks visualization
  * raw pointers to std::share_ptr
  * add basic README
  * Contributors: Séverin Lemaignan, lorenzoferrini

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Sat, 05 Mar 2022 23:00:00 -0000

ros-noetic-hri-rviz (0.1.3-1buster) buster; urgency=high

  * update to libhri 0.2.3
  * Plugin renaming: Faces --> Humans
  * Contributors: Séverin Lemaignan, lorenzoferrini

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Thu, 20 Jan 2022 23:00:00 -0000

ros-noetic-hri-rviz (0.1.2-1buster) buster; urgency=high

  * replace hri_msgs::RegionOfInterestStamped by sensor_msgs::RegionOfInterest
    Follows changes in hri_msgs 0.2.0
  * Contributors: Séverin Lemaignan

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Thu, 13 Jan 2022 23:00:00 -0000

ros-noetic-hri-rviz (0.1.1-1buster) buster; urgency=high

  * remove code that relies on too-recent rviz APIs, to ensure compat with melodic/noetic
  * code formatting + PAL copyright
  * add missing dependencies + fix flags
  * Contributors: Séverin Lemaignan

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Wed, 12 Jan 2022 23:00:00 -0000

ros-noetic-hri-rviz (0.1.0-1buster) buster; urgency=high

  * port the plugin to libhri; use colors generated from ID for bbs
  * Multi-Skeleton 3D visualization plugin
  * Faces Plugin as ImageDisplay-like object
    Faces Plugin displaying multiple faces simultaneously, with
    random colors for each bounding box available. Currently,
    we select a random color directly from the RGB color model. In
    the future, we will select a color from the HSB model, fixing
    S and B values to get sufficiently bright and vibrant colors.
  * Contributors: Séverin Lemaignan, Lorenzo Ferrini

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Wed, 12 Jan 2022 23:00:00 -0000

=== debian/control ===
Source: ros-noetic-hri-rviz
Section: misc
Priority: optional
Maintainer: Séverin Lemaignan <severin.lemaignan@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, ros-noetic-catkin, ros-noetic-cv-bridge, ros-noetic-hri, ros-noetic-hri-msgs, ros-noetic-roscpp, ros-noetic-rviz
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-hri-rviz
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5core5a, libqt5gui5, libqt5widgets5, ros-noetic-cv-bridge, ros-noetic-hri, ros-noetic-hri-msgs, ros-noetic-roscpp, ros-noetic-rviz
Description: This package contains several rviz plugins to visualize HRI-related topics (like face/body region of interests, 3D skeletons...)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-hri-rviz//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-hri-rviz 0.4.1

=== debian/changelog ===
ros-noetic-hri-rviz (0.4.1-1focal) focal; urgency=high

  * changed RoI type to normalized one
  * Contributors: Luka Juricic

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Tue, 04 Jul 2023 22:00:00 -0000

ros-noetic-hri-rviz (0.4.0-1focal) focal; urgency=high

  * Merge branch 'skeletons' into 'main'
    skeleton extension for Humans plugin
    See merge request ros4hri/hri_rviz!5
  * joint visualization as circles
  * Optimized iteration over bodies for skeleton representation
  * Introducing skeleton visualization
    It is now possible to visualize 2D skeletons using the humans
    rviz plugin.
  * add LICENSE
  * Contributors: Séverin Lemaignan, lorenzoferrini

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Tue, 17 Jan 2023 23:00:00 -0000

ros-noetic-hri-rviz (0.3.1-1focal) focal; urgency=high

  * set license to BSD
  * Contributors: Séverin Lemaignan

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Mon, 11 Jul 2022 22:00:00 -0000

ros-noetic-hri-rviz (0.3.0-1focal) focal; urgency=high

  * Added PAL Robotics copyright
  * Refactored skeleton frames testing
    The new version takes a frame name, verifies if it has more than
    the minimum number of characters for a skeleton frame, checks
    if the name without the last 5 characters belongs to the skeleton
    ROS4HRI naming convention and if it belongs to a currently tracked
    body.
  * bodies -> skeletons
    Bodies frames are now referenced as skeleton frame, for clarity.
  * Redefined class name for the plugin
    To avoid confusion with the already existing TF plugin, the
    plugin will now be visualized as TF (HRI) in rviz
  * First complete hri_tf version
  * Fixed skeletons appearing when plugin was disabled
  * Contributors: Séverin Lemaignan, lorenzoferrini

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Mon, 11 Jul 2022 22:00:00 -0000

ros-noetic-hri-rviz (0.2.0-1focal) focal; urgency=high

  * Facial landmarks visualization
  * raw pointers to std::share_ptr
  * add basic README
  * Contributors: Séverin Lemaignan, lorenzoferrini

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Sat, 05 Mar 2022 23:00:00 -0000

ros-noetic-hri-rviz (0.1.3-1focal) focal; urgency=high

  * update to libhri 0.2.3
  * Plugin renaming: Faces --> Humans
  * Contributors: Séverin Lemaignan, lorenzoferrini

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Thu, 20 Jan 2022 23:00:00 -0000

ros-noetic-hri-rviz (0.1.2-1focal) focal; urgency=high

  * replace hri_msgs::RegionOfInterestStamped by sensor_msgs::RegionOfInterest
    Follows changes in hri_msgs 0.2.0
  * Contributors: Séverin Lemaignan

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Thu, 13 Jan 2022 23:00:00 -0000

ros-noetic-hri-rviz (0.1.1-1focal) focal; urgency=high

  * remove code that relies on too-recent rviz APIs, to ensure compat with melodic/noetic
  * code formatting + PAL copyright
  * add missing dependencies + fix flags
  * Contributors: Séverin Lemaignan

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Wed, 12 Jan 2022 23:00:00 -0000

ros-noetic-hri-rviz (0.1.0-1focal) focal; urgency=high

  * port the plugin to libhri; use colors generated from ID for bbs
  * Multi-Skeleton 3D visualization plugin
  * Faces Plugin as ImageDisplay-like object
    Faces Plugin displaying multiple faces simultaneously, with
    random colors for each bounding box available. Currently,
    we select a random color directly from the RGB color model. In
    the future, we will select a color from the HSB model, fixing
    S and B values to get sufficiently bright and vibrant colors.
  * Contributors: Séverin Lemaignan, Lorenzo Ferrini

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Wed, 12 Jan 2022 23:00:00 -0000
